/*
 *
 * Copyright (c) 2006-2019, Speedment, Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); You may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at:
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.speedment.common.codegenxml;

import com.speedment.common.codegen.internal.DefaultGenerator;
import com.speedment.common.codegen.internal.DefaultTransformFactory;
import com.speedment.common.codegenxml.internal.view.*;

/**
 *
 * @author Per Minborg
 */
public final class XmlGenerator extends DefaultGenerator {

    public XmlGenerator() {
        super(new XmlTransformFactory());
    }

    private static class XmlTransformFactory extends DefaultTransformFactory {

        private XmlTransformFactory() {
            super(XmlTransformFactory.class.getSimpleName());
            install(Document.class, DocumentView::new);
            install(XmlDeclaration.class, XmlDeclarationView::new);
            install(DocType.class, DocTypeView::new);
            install(Attribute.class, AttributeView::new);
            install(ContentElement.class, ContentElementView::new);
            install(TagElement.class, TagElementView::new);
        }
    }
}