/*
 *
 * Copyright (c) 2006-2019, Speedment, Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); You may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at:
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.speedment.common.injector.test_a;

import com.speedment.common.injector.annotation.ExecuteBefore;
import com.speedment.common.injector.annotation.WithState;

import static com.speedment.common.injector.State.RESOLVED;

/**
 *
 * @author  Emil Forslund
 * @since   1.0.0
 */
public final class StringIdentityMapper implements TypeMapper<String, String> {

    @ExecuteBefore(RESOLVED)
    protected void install(@WithState(RESOLVED) TypeMapperComponent mappers) {
        mappers.install(String.class, String.class, this);
    }
    
    @Override
    public String toDatabase(String value) {
        return value;
    }

    @Override
    public String toJava(String value) {
        return value;
    }
    
}
